setlocale
sha1
String Functions
PHP Manual

# sha1_file

(PHP 4 >= 4.3.0, PHP 5, PECL hash:1.1-1.3)

sha1_file — Calculate the sha1 hash of a file

### Description

string sha1_file ( string `$filename` [, bool `$raw_output` ] )

Calculates the sha1 hash of `filename` using the » US Secure Hash Algorithm 1, and returns that hash. The hash is a 40-character hexadecimal number.

### Parameters

`filename`

  The filename

`raw_output`

  When `TRUE`, returns the digest in raw binary format with a length of 20. Defaults to `FALSE`.

### Return Values

Returns a string on success, `FALSE` otherwise.

### ChangeLog

Version | Description
--- | ---
5.0.0 | Added the `raw_output` parameter
5.1.0 | Changed the function to use the streams API. It means that you can use it with wrappers, like sha1_file('http://example.com/..')

### See Also

- sha1()
- md5_file()
- crc32()

setlocale
sha1
String Functions
PHP Manual